CALIBREDB(1)

NAME
calibredb - calibredb

calibredb orden [opciones] [argumentos]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   OPCIONES GLOBALES

•   list

•   add

•   AÑADIR DE DIRECTORIOS

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   OPCIONES EPUB

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

OPCIONES GLOBALES

--help, -h
    mostrar este mensaje de ayuda y terminar

--library-path, --with-library
    Ruta a la biblioteca de calibre. De manera predeterminada se usa la ruta almacenada en las preferencias. También puede conectar a un servidor de contenidos de calibre para ejecutar acciones sobre bibliotecas remotas. Para ello use un URL de la forma http://servidor:puerto/#id_de_biblioteca; por ejemplo, http://localhost:8080/#mislibros. «id_de_biblioteca» es el identificador de la biblioteca con la que quiere conectar en el servidor de contenidos. Puede usar el valor especial «-» para id_de_biblioteca para obtener una lista de identificadores de biblioteca disponibles en el servidor. Para más detalles sobre cómo configurar el acceso mediante el servidor de contenidos, vea https://manual.calibre-ebook.com/es/generated/es/calibredb.html

--password
    Contraseña para conectar con un servidor de contenidos de calibre. Para leer la contraseña de la entrada estándar, use el valor especial: <stdin>. Para leer la contraseña de un archivo, use: <f:/path/to/file>.

--username
    Nombre de usuario para conectar con un servidor de contenidos de calibre

--version
    mostrar el número de versión del programa y terminar

LIST

calibredb list [opciones]

Lista de los libros disponibles en la base de datos de calibre.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--ascending
    Ordenar los resultados en orden ascendente

--fields, -f
    Los campos que se mostrarán cuando se listen los libros en la base de datos. Debe ser una lista de campos separada por comas. Campos disponibles: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Valor predeterminado: title,authors. El campo especial «all» puede usarse para seleccionar todos los campos. Además de los campos incorporados anteriores, también están disponibles los campos personalizados como *nombre_campo; por ejemplo, para un campo personalizado llamado #puntos, use el nombre: *puntos

--for-machine
    Generar salida en formato JSON, que es más apropiado para procesado automático. Se ignorar las opciones de longitud de línea y separador.

--limit
    El número máximo de resultados que se mostrará. Valor predeterminado: todos

--line-width, -w
    La longitud máxima de las líneas en el archivo de salida. De manera predeterminada se toma la anchura de la pantalla.

--prefix
    El prefijo para todas las rutas de archivo. El valor predeterminado es la ruta absoluta de la carpeta de la biblioteca.

--search, -s
    Filtrar los resultados según la consulta de búsqueda. Para el formato de la consulta de búsqueda acuda a la documentación relacionada con la búsqueda en el Manual de usuario. De manera predeterminada no se realiza el filtrado.

--separator
    El texto usado para separar campos. El valor predeterminado es un espacio.

--sort-by
    El campo por el que se ordenan los resultados. Campos disponibles: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Valor predeterminado: id

ADD

calibredb add [opciones] archivo1 archivo2 archivo3 ...

Añadir los archivos especificados a la base de datos. También pueden especificarse directorios, ver las opciones relativas a directorios más abajo.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--authors, -a
    Establece el autor de los libros añadidos

--cover, -c
    Ruta de la portada para usar para el libro añadido

--duplicates, -d
    Añadir los libros a la base de datos aunque ya existan. La comparación se realiza sobre el título de los libros.

--empty, -e
    Añadir libro en blanco (sin formato)

--identifier, -I
    Establecer los identificadores para este libro, por ejemplo -I asin:XXX -I isbn:YYY

--isbn, -i
    Establece el ISBN de los libros añadidos

--languages, -l
    Una lista de idiomas separados por comas (es mejor usar códigos de idioma ISO639, aunque también se reconocen algunos nombres de idioma)

--series, -s
    Establece la serie de los libros añadidos

--series-index, -S
    Establece el número de la serie de los libros añadidos

--tags, -T
    Establece las etiquetas de los libros añadidos

--title, -t
    Establece el título de los libros añadidos

  AÑADIR DE DIRECTORIOS

Opciones para controlar la adición de libros de directorios. De manera predeterminada sólo se añaden los archivos con extensiones de tipos de libro electrónico conocidos.

--add
    Un patrón de nombre de archivo (glob), los archivos que coincidan con este patrón se añadirán al buscar archivos en los directorios, incluso si no son de un tipo de libro electrónico conocido. Se puede especificar varias veces con distintos patrones.

--ignore
    Un patrón de nombre de archivo (glob), los archivos que coincidan con este patrón se ignorarán al buscar archivos en los directorios. Se puede especificar varias veces con distintos patrones. Por ejemplo: *.pdf ignorará todos los archivos pdf

--one-book-per-directory, -1
    Asumir que cada directorio tiene un solo libro y que todos los archivos del directorio son diferentes formatos del mismo libro

--recurse, -r
    Procesar directorios recursivamente

REMOVE

calibredb remove ID

Eliminar los libros identificados por ID de la base de datos. ID debe ser una lista separada por comas de números de identificación (se pueden obtener números de identificación usando la orden «search»). Por ejemplo, 23,34,57-85 (al especificar un intervalo, el último número del intervalo no está incluido).

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--permanent
    No usar la papelera

ADD_FORMAT

calibredb add_format [opciones] ID archivo_libro

Añadir el libro electrónico archivo_libro a los formatos disponibles para el libro identificado por ID. Se puede obtener el ID usando la orden «search». Si el formato ya existe, será sustituido por el nuevo, a no ser que se use la opción de no sustituir.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--dont-replace
    No sustituir el formato si ya existe

REMOVE_FORMAT

calibredb remove_format [options] ID fmt

Eliminar el formato fmt del libro identificado por ID. Se puede obtener el ID usando la orden «search». fmt debe ser una extensión de archivo como LRF, TXT o EPUB. Si el libro no tiene el formato fmt disponible, no hace nada.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

SHOW_METADATA

calibredb show_metadata [opciones] ID

Muestra los metadatos almacenados en la base de datos de calibre para el libro identificado por ID. ID es un identificador de la orden «search».

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--as-opf
    Imprimir los metadatos en formato OPF (XML)

SET_METADATA

calibredb set_metadata [opciones] ID [/ruta/a/metadatos.opf]

Asignar los metadatos del libro identificado por ID a partir del archivo OPF metadatos.opf. El ID es un identificador dado por la orden «search». Puede ver en qué consiste el formato OPF usando la opción –as-opf en la orden «show_metadata». También puede asignar metadatos a campos individuales con la opción –field.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--field, -f
    El campo a modificar. El formato es nombre_de_campo:valor, por ejemplo: --field tags:etiqueta1,etiqueta2. Use --list-fields para obtener una lista de todos los nombres de campos. Puede especificar esta opción varias veces para asignar varios campos. Nota: para los idiomas debe usar los códigos de idioma ISO639 (p. ej. «es» para español, «fr» para francés, etc.). Para los identificadores, la sintaxis es --field identifiers:isbn:XXXX,doi:YYYYY. Para campos booleanos sí/no, use los valores «true» y «false» o «yes» y «no».

--list-fields, -l
    Lista los nombres de campo de metadatos que pueden usarse con la opción --field

EXPORT

calibredb export [opciones] ID

Exportar los libros especificados por los ID (una lista de identificadores separados por comas) al sistema de archivos. La operación de exportación guarda todos los formatos del libro, su portada y metadatos (en un archivo OPF). Se pueden obtener los números ID con la orden «search».

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--all
    Exportar todos los libros de la base de datos, ignorando el listado de ID.

--dont-asciiize
    Normalmente, calibre convertirá todos los caracteres no ASCII de los nombres de archivo en sus equivalentes ASCII. ADVERTENCIA: Si se desactiva esta opción, pueden ocasionarse errores al guardar, dependiendo del soporte para Unicode del sistema de archivos donde se guarden los libros. Si se especifica esta opción, se desactiva este comportamiento.

--dont-save-cover
    Normalmente, calibre guardará la portada en un archivo separado, junto con los archivos de libro electrónico. Si se especifica esta opción, se desactiva este comportamiento.

--dont-update-metadata
    Normalmente, calibre actualizará los metadatos en los archivos guardados según los datos presentes en la biblioteca de calibre. Esto hace que el guardado en disco sea más lento. Si se especifica esta opción, se desactiva este comportamiento.

--dont-write-opf
    Normalmente, calibre escribirá los metadatos en un archivo OPF separado, junto con los archivos de libro electrónico. Si se especifica esta opción, se desactiva este comportamiento.

--formats
    Lista de formatos, separados por comas, para guardar cada libro. De manera predeterminada se guardan todos los formatos disponibles.

--replace-whitespace
    Sustituir espacios en blanco con guiones bajos.

--single-dir
    Exportar todos los libros en un solo directorio

--template
    La plantilla para controlar el nombre y la estructura de directorios de los archivos guardados. El valor predeterminado es «{author_sort}/{title}/{title} - {authors}», lo que guardará los libros en un subdirectorio por autor con nombres de archivo que contienen el título y el autor. Las variables de control disponibles son: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    El formato para mostrar las fechas. %d: día, %b: mes, %m: número del mes, %Y: año. El valor predeterminado es: %b, %Y

--to-dir
    Exportar los libros al directorio especificado. El valor predeterminado es .

--to-lowercase
    Convertir las rutas a minúsculas.

CATALOG

calibredb catalog /ruta/a/destino.(csv|epub|mobi|xml...) [opciones]

Exportar un catálogo en el formato especificado por la extensión de /ruta/a/destino. Las opciones controlan cómo se muestran las entradas en la salida del catálogo generado. Tenga en cuenta que los diferentes formatos de catálogo admiten diferentes opciones.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--ids, -i
    Lista de ID de la base de dato, separados por comas, para incluir en el catálogo. Si se declara, no se usará --search. Valor predeterminado: todos

--search, -s
    Filtrar los resultados según la búsqueda. Para el formato de la búsqueda, véase la documentación relativa a búsquedas en el Manual de usuario. Valor predeterminado: sin filtrado

--verbose, -v
    Mostrar información de salida detallada. Útil para la depuración

  OPCIONES EPUB

--catalog-title
    Título del catálogo generado, se usará como título en los metadatos. Valor predeterminado: «My Books» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--cross-reference-authors
    Crear referencias cruzadas en la sección Autores para libros con varios autores. Valor predeterminado: 'False' Se aplica a: formatos de salida AZW3, EPUB y MOBI

--debug-pipeline
    Guardar la salida de las distintas fases del proceso de conversión en el directorio especificado. Es útil si no está seguro de en qué etapa del proceso ocurre un fallo. Valor predeterminado: «None» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--exclude-genre
    Expresión regular que describe las etiquetas que no se considerarán como géneros. Valor predeterminado: «[.+]|^+$» excluye las etiquetas entre corchetes, por ejemplo «[Project Gutenberg]», y «+» que es la etiqueta pretedeterminada para marcar los libros como leídos. Se aplica a: formatos de salida AZW3, EPUB y MOBI

--exclusion-rules
    Especifica las reglas que se usarán para excluir libros del catálogo generado. El modelo para una regla de exclusión es bien ('<nombre de la regla>','Etiquetas','<lista de etiquetas separadas por comas>') o bien ('nombre de la regla','<columna personalizada>','<patrón>'). Por ejemplo: (('Libros almacenados','#estado','Almacenado'),) excluirá cualquier libro con el valor «Almacenado» en la columna personalizada «estado». Si se definen varias reglas, se aplican todas. Valor predeterminado: «(('Catalogs','Tags','Catalog'),)» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--generate-authors
    Incluir la sección «Autores» en el catálogo. Valor predeterminado: «False» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--generate-descriptions
    Incluir una sección «Descripciones» en el catálogo. Valor predeterminado: «False» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--generate-genres
    Incluir una sección «Géneros» en el catálogo. Valor predeterminado: «False» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--generate-recently-added
    Incluir una sección «Añadidos recientemente» en el catálogo. Valor predeterminado: «False» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--generate-series
    Incluir una sección «Series» en el catálogo. Valor predeterminado: «False» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--generate-titles
    Incluir una sección «Títulos» en el catálogo. Valor predeterminado: «False» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--genre-source-field
    Campo de origen para la sección de «Géneros». Valor predeterminado: 'Etiquetas' Se aplica a: formatos de salida AZW3, EPUB y MOBI

--header-note-source-field
    Campo personalizado que incluye el texto que se insertará en la cabecera de «Descripción». Valor predeterminado: «» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--merge-comments-rule
    #<campo personalizado>:[before|after]:[True|False] para especificar: <campo personalizado> Campo personalizado que contiene las notas para unir con Comentarios [before|after] Posición de las notas con respecto a Comentarios («before»=antes, «after»=después) [True|False] Si «True», se insertará una línea horizontal entre las notas y Comentarios Valor predeterminado: «::» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--output-profile
    Especifica el perfil de salida. En algunos casos, se requiere un perfil de salida para optimizar el catálogo para un dispositivo. Por ejemplo, «kindle» o «kindle_dx» crea un índice estructurado con secciones y artículos. Valor predeterminado: «None» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--prefix-rules
    Especifica las reglas que se usarán para incluir prefijos que indiquen los libros leídos, libros de la lista de deseos y otros prefijos definidos por el usuario. El modelo para una regla de prefijos es ('<nombre de la regla>','<campo de origen>','<patrón>','<prefijo>'). Si se definen varias reglas, se usará la primera que dé lugar a una coincidencia. Valor predeterminado: «(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))» Se aplica a: formatos de salida AZW3, EPUB y MOBI

--preset
    Usar una configuración guardada creada con el creador de catálogos gráfico. Una configuración especifica todas las opciones para crear un catálogo. Valor predeterminado: 'None' Se aplica a: formatos de salida AZW3, EPUB, MOBI

--thumb-width
    Tamaño preferido (en pulgadas) para las portadas en el catálogo. Rango: 1.0 - 2.0 Valor predeterminado: «1.0» Se aplica a: formatos de salida AZW3, EPUB, MOBI

--use-existing-cover
    Sustituir la portada existente al generar el catálogo. Valor predeterminado: 'False' Se aplica a: formatos de salida AZW3, EPUB y MOBI

SAVED_SEARCHES

calibredb saved_searches [opciones] (list|add|remove)

Administrar las búsquedas guardadas en la base de datos. Si intenta añadir una búsqueda con un nombre que ya existe, será reemplazada.

Sintaxis para añadir:

calibredb saved_searches add nombre_de_búsqueda expresión de búsqueda

Sintaxis para eliminar:

calibredb saved_searches remove nombre_de_búsqueda

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

ADD_CUSTOM_COLUMN

calibredb add_custom_column [opciones] etiqueta nombre tipo_de_dato

Crea una columna personalizada. «etiqueta» es un nombre interno para la columna. No debe contener espacios ni dos puntos. «nombre» es el nombre visible de la columna. «tipo_de_dato» es uno de: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--display
    Un diccionario de opciones para personalizar cómo se interpretan los datos en esta columna. Es un texto en formato JSON. Para columnas de enumeración use --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Hay muchas opciones que pueden figurar en la variable «display». Las opciones por tipo de columna son: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decoration La mejor manera de obtener combinaciones válidas es crear una columna personalizada del tipo apropiado en la interfaz gráfica y luego examinar el archivo OPF creado como copia de seguridad para un libro (asegúrese de que se ha creado un nuevo archivo OPF después de añadir la columna). Verá el texto en formato JSON para la variable «display» de la nueva columna en el archivo OPF.

--is-multiple
    Esta columna almacena datos de etiquetas (valores separados por comas). Sólo se aplica si el tipo de dato es texto.

CUSTOM_COLUMNS

calibredb custom_columns [opciones]

Da una lista de las columnas personalizadas disponibles. Muestra las etiquetas de columna e ID.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--details, -d
    Mostrar detalles de cada columna.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [opciones] etiqueta

Elimina la columna personalizada identificada por «etiqueta». Puede ver las columnas disponibles con la orden «custom_columns».

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--force, -f
    No pedir confirmación

SET_CUSTOM

calibredb set_custom [opciones] columna ID valor

Establecer el valor de una columna personalizada para el libro identificado por ID. Puede obtener una lista de ID con la orden «search». Puede obtener una lista de nombres de columnas personalizadas usando la orden «custom_columns».

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--append, -a
    Si la columna almacena valores múltiples, agrega los valores especificados a los existentes en lugar de reemplazarlos.

RESTORE_DATABASE

calibredb restore_database [options]

Recupera la base de datos a partir de los metadatos almacenados en los archivos OPF en cada directorio de la biblioteca de calibre. Esto resulta útil si su archivo metadata.db se ha dañado.

ADVERTENCIA: Esta orden regenera completamente la base de datos. Se perderán todas las búsquedas guardadas, categorías de usuario, controles, configuración de conversión guardada por libro y fórmulas personalizadas. Los metadatos recuperados serán tan precisos como lo sean los archivos OPF.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--really-do-it, -r
    Llevar a cabo la recuperación. La orden no se ejecutará a menos que se especifique esta opción.

CHECK_LIBRARY

calibredb check_library [opciones]

Realiza algunas comprobaciones en el sistema de archivos que contiene la biblioteca. El resultado es invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--csv, -c
    Salida a formato CSV

--ignore_extensions, -e
    Lista de extensiones que se ignorarán separadas por comas. Valor predeterminado: all

--ignore_names, -n
    Lista de nombres que se ignorarán separados por comas. Valor predeterminado: all

--report, -r
    Lista de resultados separados por comas Valor predeterminado: all

LIST_CATEGORIES

calibredb list_categories [opciones]

Genera un informe de la información de la categoría en la base de datos. La información es el equivalente a lo que se muestra en el panel de etiquetas.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--categories, -r
    Lista de los nombres de búsqueda de las categorías, separados por comas. Valor predeterminado: all

--csv, -c
    Salida a formato CSV

--dialect
    El tipo de archivo CSV para crear. Posibilidades: excel, excel-tab

--item_count, -i
    Generar en la salida sólo el número de elementos en una categoría en lugar de las veces que aparece por elemento en la categoría

--width, -w
    La longitud máxima de las líneas en el archivo de salida. De manera predeterminada se toma la anchura de la pantalla.

BACKUP_METADATA

calibredb backup_metadata [opciones]

Hace una copia de respaldo de los metadatos almacenados en la base de datos en ficheros OPF individuales en cada directorio de libro. Esto se lleva a cabo normalmente de manera automática, pero puede ejecutar esta orden para forzar la regeneración de los ficheros OPF, con la opción –all.

Tenga en cuenta que normalmente no hay necesidad de hacer esto, pues los ficheros OPF se actualizan cada vez que se modifican los metadatos.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--all
    Normalmente, esta orden sólo actúa sobre libros que tienen ficheros OPF desactualizados. Esta opción hace que actúe sobre todos los libros.

CLONE

calibredb clone ruta/a/nueva/biblioteca

Crea un clon de la biblioteca actual. Esto crea una nueva biblioteca vacía que tiene las mismas columnas personalizadas, bibliotecas virtuales y otras configuraciones que la biblioteca actual.

La biblioteca clonada no contendrá ningún libro. Si quiere crear un duplicado completo, incluyendo todos los libros, use simplemente las utilidades del sistema operativo para copiar la carpeta de la biblioteca.

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

EMBED_METADATA

calibredb embed_metadata [opciones] ID

Actualizar los metadatos en los archivos de libro almacenados en la biblioteca de calibre a partir de los metadatos en la base de datos de calibre. Normalmente, los metadatos se actualizan únicamente cuando se exportan los libros de calibre, esta orden es útil si quiere actualizar los archivos de origen. Tenga en cuenta que los distintos formatos admiten diferentes tipos de metadatos. Puede usar el valor especial “all” para ID, para actualizar los metadatos de todos los libros. También puede usar varios ID separados por espacios y gamas de ID separados por guiones. Por ejemplo: calibredb embed_metadata 1 2 10-15 23

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--only-formats, -f
    Actualizar los metadatos sólo en el formato especificado. Especificar varias veces para múltiples formatos. De manera predeterminada se actualizan todos los formatos.

SEARCH

calibredb search [opciones] expresión de búsqueda

Busca la expresión de búsqueda especificada en la biblioteca y devuelve una lista separada por comas de ID de libros que coinciden con la expresión. El formato de la salida puede usarse como entrada par otras órdenes que admiten una lista de ID.

La expresión de búsqueda puede ser cualquiera aceptada por el potente lenguaje de búsquedas de calibre, por ejemplo: author:asimov title:robot

Cuando alguno de los argumentos de calibredb contenga espacios, póngalo entre comillas. Por ejemplo: «/some path/with spaces»

--limit, -l
    El número máximo de resultados que se devuelven. De manera predeterminada se devuelven todos los resultados.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal